﻿using Microsoft.Extensions.DependencyInjection;
using MycroForge.Core.Contract;
using RootCommand = MycroForge.Core.RootCommand;

namespace MycroForge.Plugin.Template;

public class HelloWorldCommandPlugin : ICommandPlugin
{
    public string Name => "MycroForge.Plugin.Template";
    public string Command => Constants.MainCommandName;

    public void RegisterServices(IServiceCollection services)   
    {
        services.AddScoped<ISubCommandOf<RootCommand>, HelloWorldCommand>();
    }
}